Indicates the port name. This is same as ifAlias in the IF-MIB (RFC2863 or later).
Sources for this description
3Com MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.43.35.8.3.1.1.2
Indicates the port name. This is same as ifAlias in the IF-MIB (RFC2863 or later).
Identification
{1 3 6 1 4 1 43 35 8 3 1 1 2}
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In A3COM-PRIVATE-MIB, the row index portIndex is declared as Integer32. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.43.35.8.3.1.1.2.<portIndex>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.43.35.8.3.1.1.2
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
portName OBJECT-TYPE
SYNTAX DisplayString (SIZE (0..64))
MAX-ACCESS read-only
STATUS current
DESCRIPTION "Indicates the port name. This is same as
ifAlias in the IF-MIB (RFC2863 or later)."
::= { portEntry 2 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Indicates the port name. This is same as ifAlias in the IF-MIB (RFC2863 or later).
3Com MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: current.
Names: portName
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"portName",
"OBJECT-TYPE",
"SYNTAX",
"DisplayString",
"(",
"SIZE",
"(",
"0",
".",
".",
"64",
")",
")",
"MAX-ACCESS",
"read-only",
"STATUS",
"current",
"DESCRIPTION",
"\"Indicates the port name. This is same as ifAlias in the IF-MIB (RFC2863 or later).\"",
"::=",
"{",
"portEntry",
"2",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"DisplayString",
[
"octetStringSubType",
[
[
0,
64
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"current"
],
[
"DESCRIPTION",
"Indicates the port name. This is same as ifAlias in the IF-MIB (RFC2863 or later)."
],
null,
null,
null,
null
]
}Vendor MIB copy from the Observium Community archive. 3Com support.
Module: A3COM-PRIVATE-MIB
See published definition above
{'SNMPv2-TC': ['TEXTUAL-CONVENTION', 'DisplayString', 'RowStatus', 'TruthValue', 'MacAddress'], 'SNMPv2-SMI': ['Integer32', 'Counter32'], 'RFC1155-SMI': ['mgmt', 'Counter', 'IpAddress', 'enterprises'], 'RFC1213-MIB': ['ifIndex']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.43.35.8.3.1.1.1 | portIndex | 0 | 0 | |
| 1.3.6.1.4.1.43.35.8.3.1.1.3 | portType | 0 | 0 | |
| 1.3.6.1.4.1.43.35.8.3.1.1.4 | portSpeedDpxCfg | 0 | 0 | |
| 1.3.6.1.4.1.43.35.8.3.1.1.5 | portFlowCtrlCfg | 0 | 0 | |
| 1.3.6.1.4.1.43.35.8.3.1.1.6 | portCapabilities | 0 | 0 | |
| 1.3.6.1.4.1.43.35.8.3.1.1.7 | portAutonegotiation | 0 | 0 | |
| 1.3.6.1.4.1.43.35.8.3.1.1.8 | portSpeedDpxStatus | 0 | 0 | |
| 1.3.6.1.4.1.43.35.8.3.1.1.9 | portFlowCtrlStatus | 0 | 0 |